﻿@{
	/**/

	/**/

	ViewBag.Title = "AddUser";
	Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
	var imagespath = System.Configuration.ConfigurationManager.AppSettings["imagesPath"] + "UserProfile/";
}
<style>
	.btn-theme.UserType {
		color: #000;
		background-color: #ffffff;
		border-color: #c7c7c7;
	}

	#sortable {
		list-style-type: none;
		margin: 0;
		padding: 0;
		width: 60%;
	}

		#sortable li {
			margin: 0 5px 5px 5px;
			padding: 5px;
			font-size: 1.2em;
			height: 1.5em;
		}

		html > body #sortable li {
			height: 1.5em;
			line-height: 1.2em;
		}

	.ui-state-highlight {
		height: 1.5em;
		line-height: 1.2em;
	}

	.toggle.btn {
		width: 90px !important;
		height: 34px;
	}

	#first {
		float: left; /* add this */
	}

	/*#second {
		float: right;
	}*/

	/*------------------------checkbox-------------*/
	/* The container */
	.containerUser {
		display: block;
		position: relative;
		padding-left: 35px;
		margin-bottom: 12px;
		cursor: pointer;
		font-size: 16px;
		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
	}

		/* Hide the browser's default checkbox */
		.containerUser input {
			position: absolute;
			opacity: 0;
			cursor: pointer;
			height: 0;
			width: 0;
		}

	/* Create a custom checkbox */
	.checkmark {
		position: absolute;
		top: 0;
		left: 0;
		height: 22px;
		width: 22px;
		background-color: #797979;
	}

	.checkmark {
		position: absolute;
		top: 0;
		left: 0;
		height: 22px;
		width: 22px;
		background-color: #ccc;
	}

	/* On mouse-over, add a grey background color */
	.containerUser:hover input ~ .checkmark {
		background-color: #ccc;
		/*background-color: #797979;*/
	}

	/* When the checkbox is checked, add a blue background */
	.containerUser input:checked ~ .checkmark {
		background-color: #2196F3;
		/*background-color: #797979;*/
	}

	/* Create the checkmark/indicator (hidden when not checked) */
	.checkmark:after {
		content: "";
		position: absolute;
		display: none;
	}

	/* Show the checkmark when checked */
	.containerUser input:checked ~ .checkmark:after {
		display: block;
	}

	/* Style the checkmark/indicator */
	.containerUser .checkmark:after {
		left: 9px;
		top: 6px;
		width: 5px;
		height: 10px;
		border: solid white;
		border-width: 0 3px 3px 0;
		-webkit-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
	}

	/* The container */
	.containerUserDisabled {
		display: block;
		position: relative;
		padding-left: 35px;
		margin-bottom: 12px;
		cursor: pointer;
		font-size: 16px;
		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		/*user-select: none;*/
		cursor: not-allowed !important;
	}
		/* Hide the browser's default checkbox */
		.containerUserDisabled input {
			position: absolute;
			opacity: 0;
			cursor: pointer;
			height: 0;
			width: 0;
		}

	/* Create a custom checkbox */
	.checkmarkDisabled {
		position: absolute;
		top: 0;
		left: 0;
		height: 22px;
		width: 22px;
		background-color: #797979;
	}

	.checkmarkDisabled {
		position: absolute;
		top: 0;
		left: 0;
		height: 22px;
		width: 22px;
		background-color: #ccc;
	}

	/* On mouse-over, add a grey background color */
	.containerUserDisabled:hover input ~ .checkmarkDisabled {
		background-color: #ccc;
		/*background-color: #797979;*/
	}

	/* When the checkbox is checked, add a blue background */
	.containerUserDisabled input:checked ~ .checkmarkDisabled {
		background-color: #2196F3;
		/*background-color: #797979;*/
	}

	/* Create the checkmark/indicator (hidden when not checked) */
	.checkmarkDisabled:after {
		content: "";
		position: absolute;
		display: none;
	}

	/* Show the checkmark when checked */
	.containerUserDisabled input:checked ~ .checkmarkDisabled:after {
		display: block;
	}

	/* Style the checkmark/indicator */
	.containerUserDisabled .checkmarkDisabled:after {
		left: 9px;
		top: 6px;
		width: 5px;
		height: 10px;
		border: solid white;
		border-width: 0 3px 3px 0;
		-webkit-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
	}

	.lbl_Flage {
		font-size: 20px;
		margin-top: 17px;
		margin-bottom: 13px;
		font-weight: 600;
	}
</style>

<script src="~/Scripts/sweetalert.min.js"></script>
<link href="~/Content/Site.css" rel="stylesheet" />
<script src="~/Content/JS/Countrycode_Json.js"></script>

<section class="wrapper site-min-height">
	<ol class="arrows">
		<li>
			<i class="fa fa-user"></i>
			@if (ViewContext.RouteData.Values["action"].ToString() != "Index")
			{
				@Html.ActionLink("Users", "User", "Dashboard")
			}
			<i class="fa fa-angle-right"></i>
		</li>
		<li>
			@if (ViewContext.RouteData.Values["action"].ToString() != "Index")
			{
				@Html.ActionLink("Add User", "AddUser", "Dashboard", new { id = "innerLink" })
			}
		</li>
	</ol>

	<h3 id="pageHeader"> Add User</h3>
	<hr>
	<div id="faq" role="tablist" aria-multiselectable="true">
		<div class="panel panel-default">
			<div class="panel-heading" role="tab" id="questionOne">
				<h5 id="panel_header" class="panel-title">

					Add User
				</h5>
			</div>
			<div id="answerOne" class="" role="tabpanel" aria-labelledby="questionOne">
				<div class="panel-body">
					<form class="form-horizontal style-form" method="get">
						<div class="form-group">
							<label class="col-sm-2 col-sm-2 control-label">Profile Picture</label>
							<div class="col-sm-4 profile-pic">
								<input type="hidden" id="ImgName_hidden" value="" />
								<input type="hidden" id="UsrId_hidden" value="" />
								<input type="file" id="upload_img" accept="image/*" onchange="preview_Img();" style="display:none" />
								@{

									var imgpath = imagespath + "AddUserImage.png";
									<img id="profile_pic" style="height:150px;width:150px;border-radius:50%;" src=@imgpath />

								}
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 col-sm-2 control-label">Full Name</label>
							<div class="col-sm-4">
								<input id="txt_FName" type="text" maxlength="40" class="form-control " onkeypress="return blockSpecialChar(event)">
							</div>
							<label class="col-sm-2 col-sm-2 control-label">User Name</label>
							<div class="col-sm-4">
								<input id="txt_LName" type="text" maxlength="25" class="form-control ">
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 col-sm-2 control-label">Email</label>
							<div class="col-sm-4">
								<input id="txt_Email" type="text" maxlength="150" onchange="checkvalidemail();" class="form-control">
							</div>
							<label id="lbl_password" class="col-sm-2 col-sm-2 control-label">Password</label>
                            <div class="col-sm-4">
                                <span style="display: none" id="UserType"></span>
                                <input id="txt_Password" type="password" maxlength="20" class="form-control">
                            </div>
						</div>
						<div class="form-group">

							<label id="lbl_usertype" class="col-sm-2 col-sm-2 control-label">User Type</label>
							<div class="col-sm-4">
								<select id="ddl_user_type" class="btn btn-theme UserType">
									<option value="1">Super Admin</option>
									<option value="2">Admin</option>
									<option value="3">Mobile User</option>
								</select>
							</div>

							<label id="lbl_country" class="col-sm-2 col-sm-2 control-label">Country</label>
							<div class="col-sm-4">
								<select id="CountryCodedrp" class="btn btn-theme UserType"></select>
							</div>
						</div>
						<div class="form-group" style="display:none" id="divstatus">

							<label class="col-sm-2 col-sm-2 control-label">Status</label>
							<div class="col-sm-10" id="checkbox">
								<input type="checkbox" id="check_active" data-toggle="toggle">
							</div>
						</div>
						<div class="col-md-12">
							<div class="">
								<button type="button" id="btn_save" onclick="SaveUser();" class="btn btn-theme" style="display:none">Submit</button>
								<button type="button" id="btn_update" onclick="UpdateUser();" class="btn btn-theme" style="display:none">Update</button>
								<button type="button" onclick="backToUser();" class="btn btn-theme04">Cancel</button>
								@*<button type="button" id="btn_Delete" onclick="DeleteUser();" class="btn btn-theme" style="display:none">Delete</button>*@
							</div>

							<label id="lbl_flag" class="lbl_Flage">Flags</label><br />
							<div class="row">
								<div class="col-md-6">
									<div id="first">
										<label class="containerUserDisabled">
											Upload Issue
											<input type="checkbox" id="check_cbuupload" name="cbupload" disabled>
											<span class="checkmarkDisabled"></span>
										</label>
										<label class="containerUserDisabled">
											Comment Issue
											<input type="checkbox" id="check_comment" name="cbcomment" disabled>
											<span class="checkmarkDisabled"></span>
										</label>
										<label class="containerUserDisabled">
											Suggestion Issue
											<input type="checkbox" id="check_sugg" name="cbissue" disabled>
											<span class="checkmarkDisabled"></span>
										</label>
										@*<label class="containerUser">
												Escalation
												<input type="checkbox" id="check_upload" name="cbupload">
												<span class="checkmark"></span>
											</label>*@
										@*<input type="checkbox" id="check_upload" name="cbupload" disabled />Upload Issue
											<input type="checkbox" id="check_comment" name="cbcomment" disabled />Comment Issue*@
									</div>
								</div>
								<div class="col-md-6">
									<div id="second">
										<label class="containerUser">
											Assistance Issue
											<input type="checkbox" id="check_ass" name="cbassistence">
											<span class="checkmark"></span>
										</label>
										<label class="containerUser">
											Escalation
											<input type="checkbox" id="check_upload" name="cbupload">
											<span class="checkmark"></span>
										</label>
									</div>
								</div>
							</div>

							<div>
								<button type="button" id="btn_Delete" onclick="DeleteUser();" class="btn btn-theme04">Delete</button>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
</section>

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="~/Scripts/CommonFunction.js"></script>
<script>

    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]' + "UserProfile/";
    $(document).ready(function () {
		debugger;
		bindContryCodeDrop();

        imgPath = imagespath + "AddUserImage.png";
        $("#profile_pic").attr("src", imgPath);//URL.createObjectURL(event.target.files[0]));

        $('.toggle-group .toggle-on').text("Active");
        $('.toggle-group .toggle-off').text("In-Active");

        if (localStorage.getItem("userID") != 0 || localStorage.getItem("userID") != "") {
			if (localStorage.getItem("ViewuserID") == "true") {
                $("#innerLink").text("User View");
                $("#txt_FName").attr("disabled", "disabled");
                $("#txt_LName").attr("disabled", "disabled");
                $("#txt_Email").attr("disabled", "disabled");
                $("#txt_Password").attr("disabled", "disabled");
                $("#check_active").attr("disabled", "disabled");
                $("#upload_img").attr("disabled", "disabled");
				$("#CountryCodedrp").attr("disabled", "disabled");
                $("#ddl_user_type").attr("disabled", "disabled");

                $("#pageHeader").text("View User");
                $("#panel_header").text("View User");
				$("#btn_update").hide();
				$("#flagDIv").hide();
				$("#btn_save").hide();
				$("#btn_Delete").hide();
				$("#check_upload").hide();
                userDetailByID(localStorage.getItem("userID"));

            } else {
                $("#innerLink").text("User Edit");
                $("#pageHeader").text("Edit User");
                $("#panel_header").text("Edit User");
                $("#divstatus").show();
                $("#btn_update").show();
                $("#txt_Email").attr("enabled", "enabled");
				$("#flagDIv").show();
				$("#btn_save").hide();

                userDetailByID(localStorage.getItem("userID"));
            }

		}
		else {
            $("#innerLink").text("User Add");
            $("#btn_Delete").hide();
            $("#divstatus").hide();
            $("#btn_update").hide();
            $("#btn_save").show();
            $("#lbl_password").show();
            $("#txt_Password").show();
            $('.containerUserDisabled').hide();
			$('.containerUser').hide();
			$('#lbl_flag').hide();
        }

	});

    $('#profile_pic').click(function () { $('#upload_img').trigger('click'); });
    function preview_Img() {

        var total_file = document.getElementById("upload_img").files.length;
        $("#profile_pic").attr("src", URL.createObjectURL(event.target.files[0]));

    }
    function checkvalidemail(){

         if (!CheckEmail($('#txt_Email').val())) {
             alert("please enter valid email address.");
             $('#txt_Email').focus();
             return;
         }
    }
    function userDetailByID(id) {
		debugger;
        $.ajax({
            type: "GET",
            dataType: 'json',
            url: '@Url.Action("GetUserById", "Dashboard", new { area = "admin"})',
            data: { UserId:id},
			success: function (data) {
				debugger;
				if (data.user[0].usr_LoginType == 3) {
				    $("#txt_Password").attr("enabled", "enabled");
				    $("#UserType").val(data.user[0].usr_LoginType);
				}
				else {
				    $("#txt_Password").attr("disabled", "disabled");
                    $("#UserType").val(data.user[0].usr_LoginType);
                }
                var imgPath = "";
                if (data.user[0].usr_Image == null || data.user[0].usr_Image=="") {
                    imgPath = imagespath + "AddUserImage.png";
					$("#ImgName_hidden").val("AddUserImage.png");
                } else {
                    imgPath = imagespath + data.user[0].usr_Image;
                    $("#ImgName_hidden").val(data.user[0].usr_Image);

				}

                $("#profile_pic").attr("src",imgPath);
                $("#txt_FName").val(data.user[0].usr_FullName);

                $("#txt_LName").val(data.user[0].usr_UserName);
				$("#txt_Email").val(data.user[0].usr_UserEmail);

				$("#txt_Password").val(data.user[0].usr_UserPassword);

                if (data.user[0].Country != "null")
                {
                    $("#CountryCodedrp option:selected").text(data.user[0].Country);
                }

				$("#ddl_user_type").val(data.user[0].usr_Role);

				if (data.user[0].ArtPending > 0) {
				    $("#check_cbuupload").val("0");
				    $('#check_cbuupload').prop('checked', false);
				    $('#checkbox .toggle').removeClass('on');
				    $('#checkbox .toggle').addClass('off');
				} else {
				    $("#check_cbuupload").val("1");
				    $('#check_cbuupload').prop('checked', true);
				    $('#checkbox .toggle').removeClass('off');
				    $('#checkbox .toggle').addClass('on');
				}
				if (data.user[0].Comment > 0) {
				    $("#check_comment").val("0");
				    $('#check_comment').prop('checked', false);
				    $('#checkbox .toggle').removeClass('on');
				    $('#checkbox .toggle').addClass('off');
				} else {
				    $("#check_comment").val("1");
					$('#check_comment').prop('checked', true);
				    $('#checkbox .toggle').removeClass('off');
				    $('#checkbox .toggle').addClass('on');
				}

                if (data.user[0].usr_Ass == 0) {
                    $("#check_ass").val("0");
                    $('#check_ass').prop('checked', false);
                    $('#checkbox .toggle').removeClass('on');
                    $('#checkbox .toggle').addClass('off');
                } else {
                    $("#check_ass").val("1");
                    $('#check_ass').prop('checked', true);
                    $('#checkbox .toggle').removeClass('off');
                    $('#checkbox .toggle').addClass('on');
                }
                if (data.user[0].usr_upload == 0) {
                    $("#check_upload").val("0");
                    $('#check_upload').prop('checked', false);
                    $('#checkbox .toggle').removeClass('on');
                    $('#checkbox .toggle').addClass('off');
                } else {
                    $("#check_upload").val("1");
                    $('#check_upload').prop('checked', true);
                    $('#checkbox .toggle').removeClass('off');
                    $('#checkbox .toggle').addClass('on');
                }

                if (data.user[0].usr_Status == false) {

                    $("#check_active").val("0");
                    $('#check_active').prop('checked', false);
                    $('#checkbox .toggle').removeClass('on');
                    $('#checkbox .toggle').addClass('off');

                    //$("#check_active").val("off");
                    //$('#check_active').prop('checked', false);

                } else {
                    $("#check_active").val("1");
                    $('#check_active').prop('checked', true);
                    $('#checkbox .toggle').removeClass('off');
                    $('#checkbox .toggle').addClass('on');
				}

			}

        });
    }

    function DeleteUser() {

        var UserId = localStorage.getItem("userID");

        swal({
            title: "Are you sure? ",
            text: "You want to Delete this record?",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
            .then((willDelete) => {
                if (willDelete) {

                    var data1 = {
                        usr_UserId: UserId

                    }
                    $.ajax({
                        type: "POST",
                        dataType: "json",
                        url: '@Url.Action("DeleteUser", "Dashboard",new { area = "Admin"})',
                        data: data1,
                        success: function (data) {

                            console.log(data.status);
                            if (data.status == "success") {
                                swal("User deleted successfully", {
                                    icon: "success",
                                });
                                localStorage.setItem("userID", "");

                                var url = '@Url.Action("User", "Dashboard", new { area = "admin"})';
                                window.location.href = url;

                            }
                        }
                    });

                } else {
                    swal("user  is safe!");
                }
            });
    }
    function UpdateUser() {
        var UserId = localStorage.getItem("userID");

            var txt_FName = $("#txt_FName").val().trim();
            var txt_LName = $("#txt_LName").val().trim();
            var txt_Email = $("#txt_Email").val().trim();
            var txt_Password = $("#txt_Password").val().trim();
            var UserType = $("#UserType").val().trim();
        
		var CountryCodedrp = $("#CountryCodedrp").val();
		var ddl_user_type = $("#ddl_user_type").val();

         if (txt_FName == "") {
             alert("Please enter full name.");
                return;
            }
            if (txt_LName == "") {
                alert("Please enter user name.");
                return;
            }
            if (txt_Email == "") {
                alert("Please enter email.");
                return;
            } else {
                if (!CheckEmail($('#txt_Email').val())) {
                    alert("please enter valid email address.");
                    $('#txt_Email').focus();
                    return;
                }
            }
            if (txt_Password == "" && UserType==3) {
                alert("Please enter password.");
                return;
         } else {
                if (txt_Password.length < 5 && UserType == 3) {
                 alert("The password must be minimum 5 characters .");
                 return;
             }
		}
		var CountryCodedrp_text=""
		if (CountryCodedrp == "") {
			alert("Please Select Country.");
			return;
		} else {
			CountryCodedrp_text = $("#CountryCodedrp option:selected").text();
		}
         if (ddl_user_type == "") {
             alert("Please Select  User Type.");
             return;
         }
         var Userstatus = "", check_ass = "", check_upload = "";

            if($('#check_active').prop('checked')){
                Userstatus = true
            }
            else {
                Userstatus = false
            }
            if ($('#check_ass').prop('checked')) {
                check_ass = true
            }
            else {
                check_ass = false
            }
            if ($('#check_upload').prop('checked')) {
                check_upload = true
            }
            else {
                check_upload = false
            }

            var files = $("#upload_img").get(0).files;
            var UsrId = $("#UsrId_hidden").val();
            var ImgName_hidden = $("#ImgName_hidden").val();
            var ImgName_hidden = $("#ImgName_hidden").val();
            var data1 = new FormData();
            if (files.length != 0) {
                data1.append("imgUpdate", 1);

                data1.append("imageName", "");
            } else {
                data1.append("imgUpdate", 0);
                data1.append("imageName", ImgName_hidden);
            }
            data1.append("image", files[0]);
            data1.append("usr_UserId", UserId);
            data1.append("usr_FullName", txt_FName);
            data1.append("usr_UserName", txt_LName);
            data1.append("usr_UserEmail", txt_Email);
            data1.append("usr_UserPassword", txt_Password);
            data1.append("usr_Status", Userstatus);
		data1.append("Country", CountryCodedrp_text);
		data1.append("usr_Role", ddl_user_type);
		data1.append("usr_Ass", check_ass);
		data1.append("usr_upload", check_upload);

            $.ajax({
                type: "POST",
                dataType: 'json',
                url: '@Url.Action("UserProfileData", "Dashboard", new { area = "admin"})',

                dataType: 'json',
                contentType: false,
                processData: false,
                data: data1,
                success: function (data) {

                    if (data.status == true) {

                        alert("User details updated successfully.");
                        localStorage.setItem("userID", "");

                            var url = '@Url.Action("User", "Dashboard", new { area = "admin"})';
                            window.location.href = url;
                    }
                }
            });
    }

    function backToUser() {

        localStorage.setItem("userID", "");
        window.location.href = '@Url.Action("User", "Dashboard", new { area = "admin"})';
    }
	function SaveUser() {

        try {

            var txt_FName = $("#txt_FName").val().trim();
            var txt_LName = $("#txt_LName").val().trim();
            var txt_Email = $("#txt_Email").val().trim();
            var txt_Password = $("#txt_Password").val().trim();
			var CountryCodedrp = $("#CountryCodedrp").val();
            var ddl_user_type = $("#ddl_user_type").val();

            if (txt_FName == "") {
                alert("Please enter full name.");
                return;
            }
            if (txt_LName == "") {
                alert("Please enter user name.");
                return;
            }
            if (txt_Email == "") {
                alert("Please enter email.");
                return;
            } else {

                if (!CheckEmail($('#txt_Email').val())) {
                    alert("please enter valid email address.");
                    $('#txt_Email').focus();
                    return;
                }
            }
            if (txt_Password == "") {
                alert("Please enter password.");
                return;
            } else {
                if(txt_Password.length<5)
                {
                    alert("The password must be minimum 5 characters .");
                    return;
                }

			} var CountryCodedrp_text = "";
			if (CountryCodedrp == "") {
				alert("Please enter Country.");
				return;
			} else {

				CountryCodedrp_text = $("#CountryCodedrp option:selected").text();
			}
            if (ddl_user_type == "") {
                alert("Please Select User Type");
                return;
            }
            var files = $("#upload_img").get(0).files;
            var UsrId = $("#UsrId_hidden").val();
            var ImgName_hidden = $("#ImgName_hidden").val();

			var data1 = new FormData();
            data1.append("FName", txt_FName);
            data1.append("LName", txt_LName);
            data1.append("Email", txt_Email);
            data1.append("Password", txt_Password);
            data1.append("Userstatus", true);
            data1.append("Country", CountryCodedrp_text);
            if (files.length != 0) {
                data1.append("imgUpdate", 1);

                data1.append("imageName", "");
            } else {
                data1.append("imgUpdate", 0);
                data1.append("imageName", ImgName_hidden);
            }
            data1.append("image", files[0]);
            data1.append("usr_Role", ddl_user_type);

            $.ajax({
                type: "POST",
                async: false,
                dataType: 'json',
                contentType: false,
                processData: false,

                url: '@Url.Action("SaveUser", "Dashboard", new { area = "admin"})',
                data: data1,
                success: function (data) {

                    localStorage.setItem("userID", "");
                    if (data.status == "success") {

                        if (data.rtype == "Email")
                        {
                            alert("Email already register.");
                        } else if (data.rtype == "username")
                        {
                            alert("Please enter unique username.");
                        } else {
                            alert("User added successfully.");
                            var url = '@Url.Action("User", "Dashboard", new { area = "admin"})';
                            window.location.href = url;
                        }
                    }
                }

            });
        } catch (e) {
            alert(e)
        }
	}

	function bindContryCodeDrop() {
		var htmlDrop = "";
		for (var i = 0; i < CountryList.length; i++) {
			htmlDrop += '<option value="' + CountryList[i].dial_code + '">' + CountryList[i].name + '</option>';
		}
		$("#CountryCodedrp").append(htmlDrop);
	}
</script>